__gnu_pbds::list_update< Key, Mapped, Eq_Fn, Update_Policy, _Alloc >(3)

NAME
__gnu_pbds::list_update< Key, Mapped, Eq_Fn, Update_Policy, _Alloc >

SYNOPSIS

Inherits type< Key, Mapped, std::allocator< char >, list_update_tag, __gnu_cxx::typelist::create2< typename detail::default_eq_fn< Key >::type, detail::default_update_policy::type >::type >.

  Public Types
typedef list_update_tag container_category
typedef Eq_Fn eq_fn
typedef Update_Policy update_policy

  Public Member Functions
list_update (const list_update &other)
template<typename It > list_update (It first, It last)
Constructor taking __iterators to a range of value_types. The value_types between first_it and last_it will be inserted into the container object.
list_update & operator= (const list_update &other)
void swap (list_update &other)

Detailed Description

  template<typename Key, typename Mapped, class Eq_Fn = typename detail::default_eq_fn<Key>::type, class Update_Policy = detail::default_update_policy::type, class _Alloc = std::allocator<char>>
class __gnu_pbds::list_update< Key, Mapped, Eq_Fn, Update_Policy, _Alloc >" A list-update based associative container.

Template Parameters
    Key Key type.
    Mapped Map type.
    Eq_Fn Equal functor.
    Update_Policy Update policy, determines when an element will be moved to the front of the list.
    _Alloc Allocator type.

Base is detail::lu_map.

Definition at line 815 of file assoc_container.hpp.

Author

Generated automatically by Doxygen for libstdc++ from the source code.